org.apache.nutch.parse

## Class ParseStatusUtils

- java.lang.Object
- - org.apache.nutch.parse.ParseStatusUtils

-     public class ParseStatusUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.HashMap<java.lang.Short,java.lang.String>` | `minorCodes`
    `static ParseStatus` | `STATUS_SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseStatusUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getArg(ParseStatus status, int n)`
    `static Parse` | `getEmptyParse(java.lang.Exception e, Configuration conf)`
    `static Parse` | `getEmptyParse(int minorCode, java.lang.String message, Configuration conf)`
    `static java.lang.String` | `getMessage(ParseStatus status)` A convenience method.
    `static boolean` | `isSuccess(ParseStatus status)`
    `static java.lang.String` | `toString(ParseStatus status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_SUCCESS

          public static ParseStatus STATUS_SUCCESS

    - #### minorCodes

          public static final java.util.HashMap<java.lang.Short,java.lang.String> minorCodes

  - ### Constructor Detail

    - #### ParseStatusUtils

          public ParseStatusUtils()

  - ### Method Detail

    - #### isSuccess

          public static boolean isSuccess(ParseStatus status)

    - #### getMessage

          public static java.lang.String getMessage(ParseStatus status)

      A convenience method. Return a String representation of the first argument, or null.

    - #### getArg

          public static java.lang.String getArg(ParseStatus status,
                                                int n)

    - #### getEmptyParse

          public static Parse getEmptyParse(java.lang.Exception e,
                                            Configuration conf)

    - #### getEmptyParse

          public static Parse getEmptyParse(int minorCode,
                                            java.lang.String message,
                                            Configuration conf)

    - #### toString

          public static java.lang.String toString(ParseStatus status)

Copyright © 2019 The Apache Software Foundation